<?xml version="1.0" encoding="utf-8"?>

<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fillViewport="true"
    android:theme="@style/AppThemeMaterial"
    tools:context=".mobile.customer.ui.profile.saldocustomer.CustomerWithDrawActivity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:id="@+id/ll_topup"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="16dp"
            android:layout_marginVertical="8dp"
            android:orientation="vertical">

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/outlinedTextField_keyword"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/nominal_tarik_saldo">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/editTextNominalWithdraw"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:inputType="number" />
            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox.ExposedDropdownMenu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:hint="@string/akun_bank">

                <AutoCompleteTextView
                    android:id="@+id/dropdown_bank_account"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    tools:ignore="LabelFor" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/outlinedTextField_note"
                style="@style/Widget.MaterialComponents.TextInputLayout.OutlinedBox"
                android:layout_width="match_parent"
                android:layout_height="150dp"
                android:layout_marginTop="8dp"
                android:hint="@string/catatan">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/editTextNote"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="top"
                    android:inputType="textMultiLine"
                    android:overScrollMode="always"
                    android:scrollbarStyle="insideInset"
                    android:scrollbars="vertical" />
            </com.google.android.material.textfield.TextInputLayout>

            <Button
                android:id="@+id/bt_proses"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginVertical="16dp"
                android:background="@drawable/rounded_corners"
                android:text="@string/proses"
                android:textColor="@color/colorWhite" />

        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_top_up"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/ll_topup"
            tools:itemCount="3"
            tools:listitem="@layout/item_withdraw" />

        <include
            android:id="@+id/emptyView"
            layout="@layout/empty_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_below="@id/ll_topup"
            android:visibility="gone" />

        <ProgressBar
            android:id="@+id/progressBar"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@id/rv_top_up"
            android:layout_centerHorizontal="true" />
    </RelativeLayout>
</ScrollView>